# seep

Print `stdin` to terminal, then pipe into next process.

`seep` (short for see pipe) has the purpose of letting you peek at what you're
piping.

## Usage

On Unix like systems, you can pass the output (`stdout`) of one process to the
other as input, like this: `echo "foo" | hexdump`. In some cases, the output of
the first command might contain information that a user might want to look at.

When the second process does not show the information it received, the user
cannot *see* the information produced by the first program. This is where `seep`
comes useful:

To look at the output of process one, we pipe it to `seep` and then pipe the
output of `seep` to process two. `seep` will show us what information it
receives and pass it over to process two:

```bash
ls | seep | grep src
```
(list files and dirs, show all with `seep`, show only containing "src")
